Subject: Re: bug#22814: 25.0.91; Emacs runs out of file descriptors on OS X

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Feb 2016 21:39:12 +0200

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 27 Feb 2016 20:33:39 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> w32notify.c I cannot touch. Hopefully, somebody else takes the ball.
> >
> > When something like that happens in w32notify, it will return an
> > error, which needs to be handled.
> 
> I meant that maybe a similar internal limit could be added, in order to
> keep Emacs running normal, not being at its upper limits.

It's not a fixed limit, alas.  The number of threads we can start is
limited by available memory (because each thread uses some for its
stack), and the amount of available memory depends on how much Emacs
itself uses.

> > How about defaulting to auto-revert-use-notify = nil when
> > global-auto-revert-mode is turned on?
> 
> I don't know whether it is the majority of users, who enable
> global-auto-revert-mode *and* work with hundreds of buffers. So far,
> there is one report about.
> 
> And such power users are more likely to know how to disable file
> notification then.

Perhaps we shouldn't wait for a flood of bug reports, and do this
proactively?